# La lucha interna

## Las emociones de la programación

Existe el estereotipo del programador sin emociones sentado frente a su equipo. El programador estereotipo se sienta, introduce líneas de código de manera silenciosa, como si las transcribiera desde su memoria. Si eres programador o has tenido contacto con programadores entonces deberías saber que el estereotipo debería ser el de un compositor frustrado. Por supuesto, nos sentamos delante de nuestros ordenadores en largos periodos en silencio y concentrados, pero estamos muy lejos de no tener emociones. Disfrutamos de las glorias de un código que funciona a la perfección la primera vez. Fruncimos el ceño cuando el código funciona mal. Pasamos de alegrarnos por la victoria a maldecir y amenazar a la máquina con los puños apretados. Apretamos nuestros dientes cuando los errores del código asoman. Pasamos de una emoción a otra: exuberancia, alegría, miedo, furia, resentimiento, tristeza, soledad, culpa o vergüenza.

No es extraño que al final del día estemos exhaustos.

Programar es un proceso agotador. No solo necesitamos mantener un modelo mental del software en el que estamos trabajando, también tenemos que mantener un modelo mental de cómo se debería comportar el software. Creamos una historia de cómo funcionará este software y componemos una imagen mental de cómo nos sentiremos cuando todo funcione como hemos lo hemos imaginado. Creamos un vínculo emocional con el software. Nuestro estado emocional puede reflejar lo que sentimos cuando estamos creando: excitados, aburridos o estancados. Mantener una actitud positiva respecto al software que no está a la altura de nuestras expectativas es agotador. Esto combinado con nuestras propias inseguridades, miedos y dudas nos da indicios cuando vemos que los programadores tienden a agotarse: es una combinación de estrés y nuestra reacción emocional a ese estrés.

## Desgastes emocionales

Hay muchos factores que pueden causarnos altibajos emocionales mientras estamos programando. Estos son algunos que he anotado, tanto en mi propio proceso de programación como hablando con otras personas sobre su programación.

### Propósito y utilidad

Si vemos con claridad dónde y cómo este código será útil, podemos tener una idea de la motivación y el propósito. ¡Estamos trabajando en algo que beneficiará a personas! Sabemos que las personas dependen de nosotros, así que hacemos todo lo que este en nuestra mano para hacer que el código funcione sin importar las trampas que nos esperen. Aprovechamos los picos emocionales de autoestima y determinación para ayudarnos a llegar a la culminación.

Lo opuesto también es cierto, por supuesto si no vemos el propósito entonces nuestro trabajo parecerá sin sentido y en vano. Nos esforzaremos para cumplir los plazos y sentiremos una sensación de vacío en nuestros objetivos. A veces se trata de un proyecto que no está en consonancia con nuestros propios propósitos y metas. Puede tratarse de un proyecto mal gestionado en el que estamos forzados a trabajar debido a presiones externas. Podríamos vernos obligados a cumplir plazos arbitrarios que nunca acordamos cumplir. Podemos sentirnos frustrados si no entendemos el fin último de cualquier proyecto en el que estemos trabajando.

### Motivación frente a aburrimiento

Ya hemos experimentado diferentes capas de motivación con nuestra programación. Esos son los proyectos en los que no sentimos que sean una tarea mientras estamos trabajando en ellos. Sentimos que estamos aprendiendo algo en cada paso del camino. El mundo exterior desaparece mientras estamos trabajando inmersos por completo en ese enfoque. Perdemos la noción del tiempo y nos sentimos tanto desorientados como renovados cuando el trabajo está completo.

Desafortunadamente lo más probable es que tengamos más experiencias con lo opuesto a la motivación: el aburrimiento. El código base no nos motiva en absoluto. El tema que estamos aprendiendo o en el que estamos trabajando es simplemente una repetición de algo que ya sabíamos. Es un suplicio comenzar. Todo lo que nos rodea en el mundo parece más interesante y el tiempo parece ir más despacio durante todo el proceso.

### Despierto frente a cansado

El sueño es un factor que influye mucho en cómo percibimos el mundo. Dormir lo suficiente nos permite sentirnos renovados, despiertos e inspirados. Necesitamos tener reservas de energía para enfrentarnos a cualquier reto que se nos presente. Cuando no tenemos una calidad óptima del sueño nos volvemos irritables y menos dispuestos a la participación. Conservamos nuestros recursos lo mejor que podemos para que no se gasten demasiado rápido. Buscamos estimulantes (café, distracciones y similares) para mantenernos ocupados a lo largo del día.

### Estado mental

Uso el término "estado mental" en un sentido amplio para cubrir cualquiera de nuestros sentimientos existentes y de bienestar mental actual. Estos pueden variar desde sentimientos temporales de infelicidad o melancolía a sentimientos complejos y serios como la depresión clínica o trastorno de estrés postraumático. Nuestras mentes son máquinas complejas que hacen lo que pueden para adaptarse a las diferentes situaciones y entornos que se les presentan. En ocasiones esta adaptación puede chocar con nuestros deseos de ser productivos y la lucha que se produce entre nuestro estado mental y nuestros deseos puede causar más desgaste emocional, incomodidad o desesperación.

Hay más motivos que pueden afectar a nuestras emociones pero estos son en los que me gustaría centrarme ya que cubren un amplio espectro de lo que acarrea dedicarnos a las tareas de aprendizaje y programación.

## Ser conscientes de nuestro estado emocional

Ser conscientes de nuestro estado emocional (lo que estamos sintiendo ahora mismo) nos da nuestra ubicación emocional actual. Podemos ubicarnos dónde estamos y entender lo que nuestra mente nos está diciendo. El darnos unos instantes para sentir verdaderamente en qué estado emocional se encuentra nuestra mente nos ayudará a seguir adelante.

Ten en cuenta que no estamos tratando de cambiar nuestro estado emocional. No nos estamos intentando forzar a ser algo que no somos. Si realmente estamos insatisfechos sobre dónde estamos o lo que estamos haciendo, es más útil entender qué está causando esa infelicidad en vez de tratar de disimular y prevenir esas emociones. Observar nuestras emociones de manera clara nos permite reconocer qué las está causando. Estar presente con esas emociones nos permite entender mejor nuestro estado mental y de lo que somos capaces en el momento.

Puedes realizar esto dentro de un contexto de meditación de atención plena, incluso mientras estás sentado en tu escritorio pensar: "durante uno o dos minutos voy a estar sentado aquí y voy a explorar mi estado emocional" debería ser suficiente. Ser conscientes de nuestras emociones, entender qué son y profundizar en ellas hasta encontrar qué las está causando puede ayudarnos a entender qué estamos sintiendo.

Quizás ya sabes qué está causando esas emociones y ese estado mental y tienes miedo de explorarlas. Algunas emociones pueden sobrepasarnos y hacernos sentir de formas que no queremos sentirnos. Esto es especialmente cierto con emociones relacionadas con la ansiedad y el trastorno de estrés postraumático. Realiza toda la exploración e introspección que seas capaz, y se amable contigo mismo. Recuerda, no estás tratando de cambiar las emociones, solo estás siendo consciente de ellas. Es posible que descubras que tu insistencia amable en estas emociones pueda llevarte a entenderlas mejor. Se tan osado como puedas con estas emociones y si empiezan a abrumarte, entonces retrocede y deja que desaparezcan los residuos de esas emociones antes de continuar.

## Nuestra historia

Cada uno de nosotros tenemos una historia que nos contamos a nosotros mismos. Estas historias conforman nuestra percepción del mundo. Nos contamos historias de cómo transcurrirá el día y cómo nos enfrentaremos a el. Creamos un mundo a través de nuestras historias en el que somos el protagonista central de la historia. Nos contamos historias como "el trabajo que voy a comenzar será increíble" o "voy a trabajar en este problema y cuando termine obtendré una solución genial". Eso ocurre si estamos siendo positivos con nosotros mismos. Cuando estamos siendo negativos, nuestras historias tratan sobre que no somos lo suficientemente buenos en lo que estamos haciendo y que seguramente fallarás en el intento. Estas historias crean una trama compleja de lucha, dolor y miseria donde todo lo malo del mundo es el resultado directo de nuestras acciones.

Nuestras emociones ayudan a dar forma al tipo de historia que contamos. Si nos sentimos muy bien, nos diremos a nosotros mismos que lo que está por venir también será genial. Si nos sentimos deprimidos y derrotados, nuestras historias reflejarán ese tono derrotado.

La verdad es que nuestra historia es simplemente eso: una historia. Nuestras historias no son una garantía de cómo va a transcurrir el día. Podemos contarnos una historia sobre que hoy será un día increíble y ver con horror que cada interacción hace que nuestro día sea de todo menos increíble. Por el contrario, nuestra historia podría ser que hoy será un día terrible y que no conseguiremos nada, pero en vez de eso experimentamos un día muy completo y productivo. La historia solo acentúa lo que estamos experimentando, pero no puede predecir lo que experimentaremos.

En vez de apegarnos a estas grandes historias podemos centrarnos más en las cosas que amamos del momento presente. En vez de una historia en la que vas a tener un día excepcional podrías centrarte en aspectos de tu proyecto que te atraigan y esperar en que puedas pronto trabajar en ellos. En vez de llenar tu día con historias de terror y fatalidad te puedes centrar en las pequeñas victorias que ocurren a lo largo del día. Incluso algo tan simple como "mi ordenador ha arrancado sin fallar" puede ser una victoria. Una de esas pequeñas victorias podría ser el establecer una intención en permanecer centrados y curiosos en los próximos 10 minutos (el contenedor de enfoque de los capítulos anteriores) y celebrarlos cuando logres esa intención. Puedes tener más pequeñas victorias si te mantienes trabajando con esa intencionalidad a lo largo del día. Nuestras pequeñas victorias no serán perfectas (quizás tu ordenador está hoy insoportable), pero podemos usarlas para recalibrar nuestro día en los próximos 10 minutos y seguir usándolas para recalibrar durante todo el día, como cada contenedor focalizado se convierte en otra pequeña victoria.

Darnos a nosotros mismos la capacidad de centrarnos más en el presente y los próximos pasos que estamos a punto de dar nos brinda una forma consciente de comprobarnos a nosotros mismos y nuestro progreso. Podemos centrarnos en los aspectos positivos  de lo que estamos haciendo en vez de preocuparnos sobre cómo la realidad difiere de nuestras propias historias. Podemos corregir el rumbo a lo largo del día y mantener la tendencia hacia un día más positivo y productivo en vez de preocuparnos sobre lo distantes que nos encontramos de nuestro día ideal.

Esto requerirá práctica. Estamos acostumbrados a permitir que nuestras historias dirijan nuestro día, pero con el paso del tiempo seremos capaces de dividir nuestro días en partes más pequeñas donde podamos ser plenamente conscientes de las historias que nos contamos a nosotros mismos.

## La conciencia en acción

Vamos a suponer por un momento que es un día normal para nosotros. Hoy nos sentimos ansiosos. Hemos recibido un informe de un error que está relacionado con algo en lo que hemos estado trabajando. En informe de error indica que el código que enviamos al proyecto a principios de año no está funcionando y quizás nunca funcionó de la manera que pensamos que funcionaba. Mientras leemos el informe de error nuestros niveles de ansiedad se incrementan. Nuestro monólogo interior entra en acción y empezamos a decirnos a nosotros mismos que nunca hemos estado cerca de ser tan buenos como creíamos. No somos perfectos. Apestamos. No hemos dormido la suficiente la noche anterior así que nuestras emociones están a flor de piel. Nuestra mente se acelera y proyecta imágenes pasadas de otras veces donde también cometimos fallos. Mientras seguimos leyendo aflora nuestra sensación de temor. Nuestro monólogo interno se convierte en una charla frenética: "¿Qué van a pensar ahora de mí?  ¿Qué piensan de mí ahora mismo? ¿Perderé mi trabajo por esto?

Antes de que hayamos acabado de leer el informe de error ya hemos creado una historia. La historia comienza con nuestra propia ansiedad por lo que pasará a lo largo del día. Entonces ocurre lo peor: obtenemos algo que confirma nuestros miedos. La historias después nos presenta con un montaje de nuestros fallos pasados y a eso añade este último informe de error como punto culminante del montaje. Nuestra historia entonces aumenta la presión por el aumento de la importancia de este informe de error: no solo debemos solucionar lo que sea que esté roto, ahora tendremos que limpiar nuestra reputación y comenzar a buscar trabajo. A medida que la historia progresa en nuestras mentes, nos preguntamos si volveremos a trabajar como programador de nuevo y sentimos cómo nuestra carrera profesional como programador está acabada.

La historia que hemos creado es una historia terrible, pero estoy seguro que te ves identificado con los factores que genera. Es una historia que se basa en lo más profundo de nuestros propios sentimientos de insuficiencia e inseguridad. Está alimentado por el miedo: el miedo a arruinar tu reputación, miedo a que no confíen en ti y miedo al fracaso.

El miedo es una de las emociones más poderosas que tenemos, pero no es la única. Leer ese informe de error también puede hacer surgir otras emociones como el dolor (pensamos que el código era bueno y ahora ese sentimiento se ha esfumado). Incertidumbre (¿cómo vamos a solucionar el problema?) y la ira (¿cómo hemos podido habernos engañado pesando que esto funcionaba?) También podemos tener otros sentimientos: tristeza, soledad y abandono. Nuestra autoestima podría verse afectada y podríamos sentirnos desconectados de aquellas personas para las que trabajamos y las personas con las que trabajamos.

Estar al tanto de estos sentimientos puede ayudarnos a analizar la historia que nos estamos contando y cómo no coincidía con la realidad. Estos sentimientos y la historia que nos contamos nos dan una retroalimentación de cómo percibimos el mundo y el mundo que estamos construyendo. Hacer una pausa por un momento para reconocer nuestros sentimientos y entender de donde proceden nos da un entendimiento de lo que nuestras emociones están tratando de decirnos.

Ahora te puedes relajar. El informe de error de este libro no es real, pero tómate un momento para reconocer los sentimientos que sientes cuando lees la sección anterior y nota dónde ha ido tu mente. Este es el tipo de conciencia que estamos buscando tener.

## Hallar nuestros sentimientos

Nuestros sentimientos se manifiestan en nuestros cuerpos de muchas maneras diferentes. El miedo puede sentirse como un nudo en el estómago o una tensión en nuestro pecho. La ira puede hacer que apretemos las mandíbulas o sentir nuestra cabeza más caliente de lo normal. La tristeza la podemos sentir como un peso sobre nuestros hombros o hacernos sentir cansados. Cuando notamos estos sentimientos podemos hacer una pausa por un momento y simplemente sentarnos con nuestros sentimientos mientras lo seguimos sintiendo.

Piensa en este ejercicio como si estuvieras escaneando tu cuerpo en busca de la fuente de los sentimientos que estás sintiendo. Fíjate hacia donde es atraída tu mente: opresión en el pecho, una opresión en tu estómago, las mandíbulas apretadas o cualquier otro sentimiento que estés sintiendo. Nota la sensación de ese sentimiento. Puedes ahondar más y tratar de encontrar la causa primigenia del sentimiento pero por ahora simplemente siente que existe. Siéntate por un momento y se más curioso sobre cómo te sientes. Trata de notar otros atributos de ese sentimiento: color, textura, intensidad o cualquier otro atributo que estés experimentando. Deja que ese sentimiento exista, se amable con el. Permite que exista sin juzgarlo. Dale espacio. Sobre todo no trates de luchar contra el sentimiento o desees que termine, simplemente siéntelo. De manera eventual puede que el sentimiento vaya disminuyendo, pero por ahora solo ten conciencia de que tienes ese sentimiento y que vas a ser curioso sobre él.

Algunos sentimientos y emociones son más dolorosas o traumáticas que otras. Dales espacio y permítete tener curiosidad sobre ellas mientras puedas. Si notas que tu mente empieza a sentir pánico u otra sensación que te desborde debido a este sentimiento, entonces deberías dejar de notarlos antes de que te superen. Recuerda que esto son emociones y que esas emociones son parte de ti. Tanto tu como tus emociones trabajáis juntos para ayudarte. Ambos estáis en el mismo equipo.

Con este ejercicio no se trata de que te acoses o te castigues con tus propios sentimientos. Es solo el acto de notar que estos sentimientos te causan un dolor físico o emocional, es posible que necesites ayuda profesional o un grupo de apoyo para guiarte a entender estos sentimientos y descubrir de dónde vienen. La ayuda profesional o el grupo de apoyo pueden ayudarte a tener estos sentimientos sin que estos te sobrepasen. No debe provocarte vergüenza el buscar ayuda en otras personas para que te ayuden en tu viaje.

## Separación y selección emocional

Uno de nuestros comportamientos aprendidos respecto de nuestros sentimientos es tratar de huir de ellos o de reprimirlos. Hacemos todo lo posible para evitar sentimientos que nos provocan infelicidad o incomodidad. También tratamos de no exagerar nuestros sentimientos positivos para no mostrar demasiada exuberancia. Esto nos puede llevar a sentirnos confusos o en conflicto sobre qué estamos sintiendo y por qué nos sentimos de esa manera. Al sentarnos con nuestros sentimientos y emociones y entendiendo de dónde proceden podemos formarnos una idea clara de qué está pensando nuestra mente y la historia que nos estamos contando a nosotros mismos.

Piensa en esta práctica como una separación y clasificación emocional. Con suerte nunca has tenido que acudir a una sala de emergencias de un hospital, pero si lo has hecho, verías a todo el personal médico que están entrenados en diagnosticar a quien acaba de entrar por la puerta y determinar la gravedad del problema. Cuando reconocemos y reflexionamos sobre nuestras emociones también estamos diagnosticando qué emociones estamos teniendo y la gravedad de esas emociones. Tomamos esos momentos cuando estamos experimentando las emociones para poder determinar qué emociones son y qué las ha desencadenado. Mientras revisamos nuestras emociones somos cordiales con ellas y las reconocemos por lo que son. Un buen profesional médico no impone sus propios deseos al paciente, simplemente aceptan a los pacientes por lo que son, diagnostica lo que está experimentando el paciente y actúa en consecuencia. Cuando reconocemos nuestras emociones por lo que son y determinamos de dónde proceden, podemos comprender mejor a lo que nos estamos enfrentando.

Cuanto más hagamos esta práctica, mucho mejor seremos capaces de reconocer nuestras emociones y por qué las estamos teniendo. Seremos más capaces de notar qué estamos sintiendo y entender el motivo de estar sintiéndonos de esa manera. Cuando sentimos ansiedad, podemos reconocer que podría ser causada por explorar un área de programación que no entendemos por completo. Podemos sentir esa ansiedad durante un instante (no trates de ahuyentarla) y en ese momento piensa sobre lo que estás trabajando y cómo poder explorar esas áreas que son nuevas. Podemos tomar una nota mental o escrita (mejor si es en un diario) así cuando completemos lo que estamos realizando, podremos revisar las áreas que nos están causando ansiedad.

Esta práctica puede convertir nuestras emociones en algo que nos dirija o guíe. Podemos utilizar nuestras emociones como herramientas para calibrar mejor nuestras historias internas. Podemos recomponer esas historias sobre cómo no nos merecemos que nos llamen programadores y en vez de eso darnos la intención de que pasaremos los próximos 10 minutos explorando este área de nuestro trabajo y encontrar dónde están las lagunas de conocimiento. Podemos establecer una intención de ser curiosos sobre a dónde nos llevarán los próximos 10 minutos de exploración. Mientras continuamos explorando ese tema notaremos nuestras emociones y usaremos esas emociones para permitirnos conocer dónde necesitamos mejorar y adaptarnos. Esto nos permitirá cambiar nuestros planes cuando sea necesario y abordar aquellas áreas donde creamos que tenemos carencias o necesitan mejorar. Este ciclo continúa en cada contenedor que practiquemos, con nuestras emociones actuando como un barómetro de nuestro nivel de comodidad con el tema en cuestión y ayudándonos a esbozar una hoja de ruta sobre la mejor manera de proceder. Transformamos nuestra incomodidad y ansiedad de cosas que obstaculizan nuestro progreso en indicadores de dónde sentimos que tenemos que enfocar nuestra atención.

## Agotamiento

Una de las cosas que nuestra separación emocional puede ayudarnos a diagnosticar es el sentimiento de agotamiento. El agotamiento es un compendio de emociones unidas a una extenuación emocional y física. El agotamiento puede ser algo simple como estar cansado o tener exceso de trabajo, pero también puede ser un signo de algo más serio. Puede llevar a complicaciones físicas o mentales si no tenemos cuidado. Podemos trabajar con preocupantes niveles de extenuación y engañarnos a nosotros mismos creyendo que esto es parte del coste por ser un buen programador. 

El agotamiento se manifiesta de diferentes maneras. Para algunas personas puede ser un sentimiento de pavor mientras trabaja en un proyecto. Se sienten como si no fueran efectivos al hacer cualquier cambio. Para otras personas el agotamiento puede ser un sentimiento de extenuación. Se sienten como si estuvieran en una rueda de hamster que no parará nunca. Incluso puede ser mucho peor, quieren que la rueda se hubiera parado hace ya mucho tiempo. El agotamiento también puede manifestarse en una sequía creativa, donde imaginar un futuro diferente es difícil y las cosas que una vez fueron inspiradoras o interesantes ya hace tiempo que no generan esa chispa.

El agotamiento es complicado de auto diagnosticar debido a que es un conjunto de emociones aparentemente no relacionadas entre sí. Nuestro sentimientos de aburrimiento, miedo y ansiedad pueden tener todos una causa raíz diferente, pero cuando combinamos estos sentimientos con un horario de trabajo implacable y la pérdida de control, amplificamos esos sentimientos. Si no los controlamos, nos pueden llevar a tratar de silenciar o dormir esos sentimientos. Nos encontraremos con que no queremos programar nunca más y nos enfadaremos con nosotros mismos por habernos metido en la programación. Podemos causarnos más sufrimiento no deseado simplemente "superándolo", lo que puede llevarnos a agravar y complicar aún más nuestro estado emocional.

Hay algunas cosas que podemos hacer para entender y ayudar a aliviar ese agotamiento:

* Darse cuenta de cuando estamos agotados, o a punto de estarlo. Reconocer que estamos a punto de sentirnos agotados es clave para no llegar a experimentar el agotamiento. Esto parece bastante simple, pero tendemos a ignorar los síntomas cuando nos estamos acercando al agotamiento. Si podemos reconocer que estamos a punto de agotarnos entonces podremos tomar medidas para evitarlo. Y si nos damos cuenta que ya estamos agotados, podemos tomar medidas para ser amables con nosotros mismos y ayudarnos a salir de este estado de agotamiento.
* Examinar nuestras emociones. Siéntate un momento y observa qué emociones aparecen delante de ti. ¿Estás sintiendo estrés, miedo, ansiedad, nerviosismo o ira? Observa qué sentimientos emergen y reconoce esos sentimientos. Examina de dónde provienen esos sentimientos y qué podría estar provocando esas emociones.
* Volver a negociar nuestros compromisos. Muchas veces el agotamiento es el resultado de un compromiso excesivo, ya sea con nosotros mismos o con otras personas. Siempre tenemos muchas cosas que hacer y a pesar de nuestros mayores esfuerzos siempre adquirimos nuevas obligaciones. Quizás los planes que hicimos fueron muy exigentes o algo ha cambiado en el mundo que desbarató nuestros planes. Cualquiera que sean las razones, necesitamos volver a evaluar lo que se esperaba de nosotros y lo que somos capaces de hacer. Si vemos que hemos creado una situación intratable para nosotros mismos, necesitamos averiguar cómo eliminar parte de esas obligaciones o volver a negociarlas.
* Dar un descanso a nuestro ímpetu. A diferencia de nuestros homólogos mecánicos necesitamos tiempo de inactividad y descanso. No podemos trabajar ocho o más horas sin al menos algunos momentos donde no estemos trabajando. La programación requiere mucho ancho de banda mental y el esforzarnos hasta la extenuación puede llevarnos a inestabilidad, estrés y agotamiento.
* Examinar si así es como realmente queremos vivir nuestras vidas. Necesitamos determinar si lo que estamos haciendo es realmente lo que queremos hacer. Si no somos felices con lo que estamos haciendo, entonces cada momento que continuemos haciéndolo puede agravar nuestros sentimientos de infelicidad. Si no sentimos más que terror por nuestra situación actual entonces quizás necesitamos volver a negociar nuestros compromisos. Eso puede ser algo simple como aceptar no aprender algo ahora mismo, o puede ser algo complejo como cambiar de trabajo o cambiar de carrera.

Al entender que estamos dirigiéndonos hacia el agotamiento (o que ya estamos en él) podemos tomar medidas para corregir el rumbo, para poder así realizar nuestra programación disfrutando y con alegría. A veces dar un paso atrás y volver a evaluar lo que estamos haciendo nos puede ayudar a no instalarnos en bucles constantes de frustración, ira y culpa. Cambiar nuestra historia para que se ajuste mejor a la realidad puede evitar que intentemos alcanzar un sueño imposible. 

Antes mencioné la posibilidad de volver a negociar los compromisos. A menudo estamos involucrados en situaciones donde tenemos muchas más tareas que hacer que lo que es físicamente posible, incluso bajo las circunstancias más óptimas. Esto puede ser causado en parte porque hemos dicho "sí" a demasiadas cosas, o porque estamos abrumados por compromisos laborales, como un importante proyecto de alta prioridad o varios proyectos más pequeños que necesitan atención urgente. La mejor manera de volver a negociar tu carga de trabajo es revisando esa carga de trabajo y anotar qué tareas son "urgentes" y qué tareas son "importantes". Las tareas "urgentes" son las que sientes que hay que realizarlas de manera inmediata. Puede que no sean tareas "importantes", pero tienen un sentido de urgencia. Las tareas "importantes" son las que de alguna forma te beneficiarán a ti o a otras personas. Estas tareas tienen un valor significativo cuando se finalizan, ya sea monetario o por lo que significa acabar dichas tareas. Toma una hoja de papel o abre un documento de texto y crea dos categorías: "urgente" e "importante". Haz una lista con las tareas que debes completar y clasifícalas bajo una de las dos categorías. A continuación marca la fecha de finalización (lo más aproximada que puedas) de cada una de estas tareas. Si tienes más de tres tareas urgentes o importantes y todas ellas finalizan en la misma semana es probable que tenga exceso de trabajo y necesitarás volver a negociar esos compromisos. Puede que te sientas capaz de hacer todas esas cosas pero si ya te sientes estresado, cansado y agotado, al tratar de cumplir esos plazos solo aumentarás esos sentimientos. Si es posible, trata de mover algunos de esos plazos para la próxima semana o comprueba si tus clientes creen que esas tareas son tan urgentes o importantes como tu creías que eran. Si realmente son urgentes o importantes, entonces trata de que tus superiores te ayuden con recursos o para ver si esas personas pueden intervenir para volver a negociar los plazos y las prioridades. Si estás atascado sin salida (tus responsables no va a interceder y los clientes no van a volver a negociar los compromisos) entonces tendrás que tomar algunas decisiones sobre cómo son de importantes esas prioridades frente a tus propias prioridades (esas tareas ayudan a tus ingresos, lo que contribuye a continuar con tu estilo de vida), pero tu propia salud y tu propio bienestar debería tener más peso en la toma de tu decisión que sus prioridades o sus plazos de entrega. Quizás puedas negociar algo de tiempo libre o vacaciones después de ese periodo para poder descansar, relajarte y recuperar tu fortaleza y agudeza mental antes de volver a pasar por una situación parecida.

Aprender a decir "no" es una capacidad muy importante como programador. A menudo nos vemos a nosotros mismos como seres extraordinarios que pueden hacer cualquier cosa que se propongan, en parte porque los equipos informáticos con los que trabajamos parece que pueden hacer cualquier cosa. Desafortunadamente, tenemos unos recursos físicos y emocionales finitos, así que aprender a escoger y elegir los proyectos que son más importantes para nosotros (dependiendo de nuestro propio criterio) nos ayudará a mantenernos a medida que vamos avanzando en nuestra carrera profesional como programadores. Si decimos que "sí" a todo lo que alguien escoge por nosotros entonces tendremos menos tiempo para trabajar en las cosas que realmente nos importan. Estaremos a merced de personas cuyas prioridades y deseos no coinciden con los nuestros. La forma más efectiva de agotarse es gastar toda tu energía trabajando en proyectos que no encajan con tus prioridades y deseos.

Experimentarás periodos de agotamiento en tu carrera profesional como programador. Te encontrarás con cosas que sobrepasarán tu capacidad para hacerles frente. Te verás atrapado en bucles en los que te preguntarás si esto es realmente lo que deberías estar haciendo. Comprender lo que estás sintiendo y reconocer que esos sentimientos son válidos es el primer paso para cambiar tu trayectoria del agotamiento y el estrés. La programación no debería ser una tarea tediosa (ningún trabajo de valor debería serlo). Debería haber algo en tu día a día como programador que te mantuviera motivado y te ayudara a aumentar tus conocimientos. Añadir pizcas de conocimiento, disfrute y asombro, junto con periodos de inactividad, te ayudará a mantenerte a salvo en la turbulencia emocional que te espera. Y reconocer cuando estás agotado y volver a negociar tus compromisos contigo mismo y con otras personas puede ayudarte a revitalizar tus deseos de continuar programando.

## Buscar ayuda

Me gustaría enfatizar el hecho de que está bien el pedir ayuda a otras personas. Personalmente me ha costado pedir ayuda. Parte de mi reticencia a la hora de pedir ayuda estaba provocada por que cada vez que hacía una pregunta obtenía la temida respuesta de "eso ya deberías saberlo". Otras veces creía que al pedir ayuda, eso de alguna manera haría mermar mi reputación. Me considerarían un fraude o un impostor. Las personas se preguntarían por qué habrían confiado en mí al principio. Pero cuando finalmente pedí ayuda, las respuestas no fueron "¿por qué no sabes sobre eso?" si no que fueron "¿por qué no has pedido ayuda antes?" Claro que hubo ocasiones donde alguien se habría sorprendido de que no supiera algo, o que recibiría críticas por mi ignorancia, pero encontré que los beneficios de preguntar superan con creces cualquier efecto negativo.

Pedir ayuda no está limitado únicamente a temas técnicos, hay muchas otras maneras en las que podríamos necesitar ayuda. Podríamos preguntar a colegas que nos ayudasen durante un periodo difícil de nuestras vidas. Podríamos necesitar ayuda de nuestros superiores cuando estamos luchando de alguna manera ya sea personal o profesionalmente. Podríamos incluso necesitar diferentes tipos de ayuda de diferentes profesionales (doctores, terapeutas, etc). Involucrar a otras personas en nuestros problemas puede ser desalentador (o incluso abrumador) pero obtener ayuda de manera temprana puede ayudarnos a prevenir formas más graves de agotamiento o estrés.

La razón más común de nuestra reticencia a la hora de pedir ayuda es nuestro deseo de confort. Pedir ayuda significa el ponernos a nosotros mismos en un estado de vulnerabilidad y esperar que las personas a las que pedimos ayuda nos traten con amabilidad, respeto y dignidad. Esta vulnerabilidad puede verse amplificada si no conocemos a la persona a la que pedimos ayuda o si esa persona es un profesional médico. Pero es necesario el colocarnos en esa situación de vulnerabilidad, especialmente si los problemas o situaciones a las que nos enfrentamos están fuera de nuestro control o exceden nuestra experiencia. Si estamos a punto de sentirnos agotados (o estamos inmersos en un proceso de agotamiento) podremos necesitar la ayuda de un doctor o terapeuta para tratar de la mejor manera la situación que estamos experimentando. Si nuestro trabajo nos causa estrés o tensión, quizás necesitemos hablar con otras personas de nuestro entorno para descubrir si también otras personas están experimentando estos sentimientos. Incluso un simple acto de compasión con nuestros compañeros puede ayudarnos a darnos cuenta que no estamos solos enfrentándonos a estos problemas y puede ayudarnos a encontrar mejores formas de gestionar nuestra carga de trabajo o estrés. A veces no nos damos cuenta de cuando nuestros trabajos o relaciones han pasado a ser de respetuosas y beneficiosas a ser algo que nos provoca más daños que algo positivo.

"No hay que sentir vergüenza en pedir ayuda" es una frase demasiado utilizada, pero pedir ayuda no es un acto vergonzoso. Necesitamos ayuda de otras personas. Incluso simplemente alguien que diga "siento que tengas que tratar con eso" puede ser una conexión con otra persona que simpatiza con lo que estamos pasando. Encontrar a otras personas que estén dispuestas a escuchar, empatizar y compadecerse puede ser la diferencia entre sentirse parte de una comunidad o sentir que hemos sido abandonados en nuestra profesión.

También necesitamos reconocer cuando nuestros sistemas de apoyo no nos están siendo de ayuda. Si vemos que hablar con alguien más no nos está ayudando a resolver los problemas, quizás necesitamos encontrar otras vías de ayuda. Quizás nos demos cuenta que necesitamos ayuda extra.

Darse cuenta de la necesidad de apoyo adicional puede ser difícil, pero una vez que hayas llegado a la conclusión, te animo a que actúes para conseguir esa ayuda extra. Esto requiere de auto conciencia y honestidad con lo que estás sintiendo. Solo tu conoces tu situación y si estás siendo honesto contigo mismo. Si no estás siendo honesto contigo, entonces solo tu puedes darte cuenta de eso y puedes tomar la iniciativa para buscar la ayuda que necesites. Nadie mejor que tu conoce tus propios mecanismos internos.

Pedir y recibir ayuda es una habilidad y como cualquier otra habilidad requiere práctica. Cuando éramos niños, teníamos medios muy simples para pedir ayuda (llorar, señalar algo, etc). Estas habilidades están grabadas en nosotros como parte de nuestros mecanismos de supervivencia, pero a medida que crecemos nuestro mundo se vuelve más complejo. Nuestros métodos de pedir ayuda tienen que madurar igual que nosotros mismos vamos madurando. Esto no es algo que surja de manera natural en ninguno de nosotros. Nos resistiremos a pedir ayuda y nos resistiremos cuando estemos recibiendo ayuda de otras personas. La repetición y una práctica cuidadosa nos ayudará a mejorar nuestra habilidad de pedir ayuda. Mejorar esas habilidades nos ayudará a sobreponernos a los obstáculos a los que nos enfrentamos en nuestro día a día. Esa mejora nos ayudará a ser no solo mejores programadores si no también a mejorar cómo gestionamos los retos que la vida nos ofrece.

## Renunciar

A los programadores no les gusta pensar en darse por vencidos. ¿Cuantas veces hemos pedido a otras personas que tengan paciencia mientras intentábamos solucionar algo que no estaba funcionando? ("Déjame unos minutos más, por favor, ¡de verdad!") Trabajamos con máquinas que parece que no tienen límites en sus posibilidades. Como programadores nos sentimos obligados a explorar esas posibilidades, pero a veces no queremos hacer esa exploración. A veces echamos un vistazo a la lista de cosas que deberíamos aprender y nos preguntamos si merece la pena el esfuerzo. Miramos las ofertas de empleo relacionadas con nuestras habilidades y no encontramos mas que trabajos sin sentido. Los nuevos programadores nos preguntan qué es ser un programador y nos preguntamos si deberíamos advertirles sobre los peligros de escoger una profesión que nos ha llevado a ser infelices y sentirnos insatisfechos. La alegría que sentíamos mientras aprendíamos el oficio va desapareciendo y luchamos contra el miedo de nunca volver a sentir ese sentimiento de nuevo.

La programación no es para todo el mundo. Ha habido momentos donde me he preguntado si debería continuar trabajando como programador. Estoy frustrado porque no puedo aprender todo lo que quiero saber. Me preocupa que lo que estoy aprendiendo siga siendo relevante cuando haya acabado. Siento ansiedad por no se capaz de competir en un mercado laboral donde todos los demás parecen tener ventaja. Lucho por conseguir un puesto de trabajo que ofrece un puesto que no creo que vaya a ser relevante dentro de seis meses, y ya no digamos 10 o 100 años. Siento que el futuro de la computación que me prometieron ha sido corrompido y todos nosotros estamos atrapados en un mundo donde los ordenadores no son más que simples palancas para que las empresas abran las carteras de sus clientes.

Es fácil volverse fatalista sobre la práctica de la programación, pero me he dado cuenta de que hay más en la informática y la programación que lo que el mercado laboral ofrece.

Parte del placer de programar es la curiosidad. Si podemos alimentar nuestra curiosidad mientras programamos, entonces tenemos muchas vías por explorar. Siempre hay otras ideas y otros temas por descubrir, como el desarrollo de juegos, lenguajes de programación "esotéricos" u otros paradigmas de programación. El mercado laboral utiliza una fracción de las ideas de programación que están esperando a ser exploradas. También hay muchos emuladores y equipos antiguos disponibles con buena documentación y comunidades vibrantes. Un área que me ha intrigado, es aprender cómo funcionan las computadoras más antiguas. Las computadoras más antiguas son simples y se pueden entender con paciencia y la mentalidad adecuada. Estas máquinas son bien conocidas y la mayoría de estos programas más antiguos fueron elaborados por un solo programador. Constituyen excelente espacio para aprender no solo cómo funcionaban las máquinas más antiguas, sino también muchos de los conceptos que aún impregnan nuestras máquinas modernas.

¿Qué ocurre cuando nos damos cuenta de que no quedan en nosotros ganas de disfrutar al programar? ¿Qué hacemos cuando la idea de programar ya no nos emociona? ¿Cómo continuamos cuando la simple idea de probar algo nuevo nos llena de terror? ¿Entonces qué?

Si no encontramos ninguna diversión en programar, entonces necesitamos entender por qué nos estamos sintiendo de esta manera. Quizás estamos cansados después de un proyecto muy duro que ha agotado en nosotros toda la diversión y la emoción de programar. Quizás las comunidades a las que nos hemos unido, ya sea en nuestra ciudad o por la red son hostiles o poco acogedoras. Quizás pensemos que programar sería más divertido pero cada vez que empezamos, desearíamos estar haciendo _algo_ / _cualquier cosa_ en su lugar.

Programar es lo mejor cuando de verdad quieres hacerlo. No es para cualquiera. Si estás estancado en una situación en la que no quieres programar nunca más, entonces el mejor rumbo que puedes tomar es dejar de ser programador. No tiene que ser vergonzoso dejar de programar, muchos programadores han perdido la chispa de la ilusión y el deseo de programar y se han cambiado a otros campos. Está bien dejar el campo de la programación y hacer otra cosa.

La programación solo es una faceta de nuestras vidas. Cierto, puede ser una faceta muy grande de nuestras vidas y puede dar miedo el abandonar algo en lo que hemos trabajado tan duro para conseguir. Pero si nos damos cuenta que únicamente seguimos los movimientos por inercia y ya no experimentamos ningún disfrute cuando estamos programando, entonces es tiempo de pensar sobre qué más podemos hacer con nuestras vidas fuera de la programación. Se nos concede una cantidad limitada de tiempo para vivir nuestras vidas. Hacer algo con lo que no disfrutamos nos impide vivir una vida más significativa.

Renunciar no debe ser una experiencia negativa. No hay vergüenza en quitarle tiempo a ser programador. Muchos programadores se han dado un "año sabático" de la programación para explorar otros intereses y recargarse de energía. Romper bucles de experiencias negativas en la programación puede ayudarnos a identificar lo que queremos de la programación y de la profesión de programador. Puede ayudarnos a encontrar y confirmar nuestros sentimientos más íntimos sobre la programación y ver si todavía estamos destinados a seguir por este camino.

Hay varios miedos que pueden impedirnos hacer esta ruptura con la programación. El primer temor se conoce con el elegante nombre de "falacia de la inversión irrecuperable". La falacia de la inversión irrecuperable es la creencia de que el tiempo y el esfuerzo que dedicamos a aprender y programar es una inversión, y esa inversión se desperdiciará si renunciamos. Por lo tanto, para preservar nuestra inversión debemos seguir programando. El problema con esta falacia es que supone que aún no hemos recibido el beneficio de ese tiempo y esfuerzo. Yo diría que aprender cualquier tipo de programación no es una habilidad desperdiciada. La programación se puede aplicar en muchas facetas de nuestras vidas, como simplificar tareas dividiéndolas en porciones más manejables, aplicar el pensamiento estructurado y comprender la lógica booleana básica. Muchos otros campos también han adoptado las computadoras, por lo que tener habilidades informáticas puede ser útil para ti o para otras personas. El conocimiento que tienes no se desperdiciará.

El segundo miedo es el miedo a defraudar a nuestros compañeros programadores y a otras personas de nuestra organización si abandonamos la programación. Esto es complicado. Es complicado porque incluye a otras personas en nuestro proceso de toma de decisiones. Es posible que estemos en una organización que tiene una carga sustancial de tareas para completar, y nuestra decisión de renunciar significará que estas tareas no se completarán de la manera en que deseamos que se completen. No es difícil imaginar que nuestra ausencia cause daño a toda la organización y resulte en su eventual colapso. ¿Es cierto este escenario? Depende de nosotros determinar si nuestra ausencia realmente decepcionará a todos en nuestra organización. Esto nos pone en una situación en la que nuestro miedo nos mantiene sintiéndonos "acorralados". Nos sentimos "acorralados" porque nuestro miedo ha creado una situación en la que estamos eligiendo entre nuestro propio bienestar o el bienestar de los demás. Esta es una falsa dicotomía. Nuestra ausencia podría ser el catalizador para que alguien más retome nuestras tareas y trabaje en ellas, y posiblemente las complete de manera más efectiva que nosotros en nuestro estado actual. Necesitamos determinar si somos realmente insustituibles o si alguien más podría tomar nuestro lugar. La respuesta podría ser "soy insustituible, pero necesito salir de esta situación o me haré daño a mí mismo y a los demás si esto continúa". Depende de nosotros revisar si nos estamos ayudando a nosotros mismos y a las organizaciones a las que servimos, o si los estamos perjudicando a ellos y a nosotros mismos al engañarnos pensando que esto está funcionando.

El tercer miedo tiene que ver con nuestro propio concepto personal de identidad y la memoria de nuestra comunidad. Si decidimos dejar de ser programadores, ¿borrará eso de alguna manera una parte de nuestra identidad? ¿Nuestra comunidad dejará de identificarnos como programadores y perderemos contacto con personas que se han convertido en amigos y colegas? Una vez más, este miedo es difícil de superar porque la programación puede ser una parte importante de nuestra identidad. Dejar de lado la programación nos puede llevar a sentir que nos estamos desprendiendo de una parte de nosotros mismos y de nuestra identidad. También existe el temor de que la gente deje de llamarnos para trabajos u otros proyectos de programación si decidimos tomarnos un descanso temporal. Si el descanso es temporal, ¿la gente recordará nuestras habilidades en programación cuando decidamos regresar?

Cada uno de estos miedos y preocupaciones son perfectamente válidos, pero pueden no ser ciertos. Podemos sentir miedo de que estamos malgastando nuestro tiempo como programador, pero la verdad es que cualquier proceso de aprendizaje no es en absoluto un esfuerzo malgastado. Podemos preocuparnos de cómo otras personas nos perciben o de cómo la empresa de la que formábamos parte continuará sin nosotros, pero la verdad es que no podemos controlar sus percepciones ni sus acciones. Lo que podemos controlar es nuestra participación en cada una de esas comunidades y nuestra propia percepción del tiempo y esfuerzo invertidos. Podemos determinar si una ruptura profunda de la programación sería mejor que una salida gradual de nuestros compromisos. Podemos aclarar con las demás personas cual es nuestro estado actual como programador y determinar si este estado es temporal o permanente. La cuestión más importante es no permitir a los demás que nos convenzan de hacer algo que no queremos o que es perjudicial para nosotros. Si necesitamos parar nuestra actividad en programación porque estamos emocionalmente exhaustos y agotados, entonces debemos dejarlo claro a los demás que les estaremos perjudicando a ellos y a nosotros mismos si continuamos.

Las comunidades más maduras entenderán la necesidad de tomar un descanso y dejar de programar. Entenderán que tu bienestar mental y emocional es más importante que sus necesidad de que continúes y serán capaces de realizar lo que se necesite hacer y subsanar tu ausencia. Es normal y natural en las personas el cambiar de empresas y perseguir otras prioridades.

Lo más importante para recordar, es que es correcto el apagar esa parte de tu ser y dejar de ser programador. Si haces o no que un cambio permanente depende de ti y de tus deseos. Sentirse emocionalmente exhausto, sin inspiración y agotado es contraproducente para la práctica de programación: la programación es una tarea bastante difícil. Tomarse un descanso de la programación para explorar otros intereses es natural y no significa que seas menos programador por querer hacer algo diferente para recargarte de energía. Si descubres que eres más feliz cuando no estás programando, busca cualquier otra cosa que llame tu atención con todas tus ganas. Si decides volver a la programación después de estar fuera durante un tiempo, puedes regresar y retomar tu práctica de aprendizaje. Recuerda: nuestras vidas toman muchos giros y caminos diferentes. El mejor camino para ti es el que haces tú mismo, sin importar a dónde te lleve.

