\appendix

# Mi viaje

Mi viaje como programador comenzó cuando estaba en la escuela primaria. Me interesé en las computadoras después de leer sobre ellas en la _World Book Encyclopedia_ y esperaba trabajar con ellas algún día. Lo que no me di cuenta fue que esas enciclopedias estaban desactualizadas y solo mostraban las computadoras centrales y las minicomputadoras más grandes y costosas de la década de 1960 y no las microcomputadoras más modernas que se introdujeron a fines de la década de 1970. Cuando me di cuenta de que una Apple era una microcomputadora y que estaba diseñada para el mercado doméstico, comencé mi búsqueda para obtener una computadora propia (es decir: comencé a dar pistas no muy sutiles a mis padres de que quería una computadora). Revisé revistas como _Popular Computing_ y _Byte Magazine_ en busca de la computadora adecuada, desde el Commodore VIC-20 y el Sinclair ZX-80 hasta el Radio Shack TRS-80 Model III (incluso el Rockwell AIM-65 o el Heathkit H89 habrían servido. Por aquel entonces no era quisquilloso). Mi padre me llevó a tiendas donde las vendían y me maravillé de la variedad de máquinas que había allí (y probablemente puse nerviosos a algunos vendedores mientras tecleaba y tocaba las máquinas nuevas y bastante caras). Finalmente, mi padre compró una computadora Atari 400 con unidad de cinta y comencé a aprender programación BASIC en serio. Casi al mismo tiempo, mi escuela abrió un "laboratorio de computación" con tres máquinas Commodore PET 4032 (completas con unidades de disquete), y me encontré pasando cada momento que podía con esas máquinas. En la escuela secundaria tomé dos cursos de programación, uno en BASIC y el otro en Pascal (que fue mi primera exposición a los lenguajes de procedimiento y los conceptos básicos de la informática). En la universidad me especialicé en Ciencias de la Computación con una Licenciatura en Ciencias e hice todo lo posible para mantenerme al día con todas las cosas que intentaron enseñarme. Desafortunadamente, no era un gran estudiante (especialmente en matemáticas). Luché y luego abandoné mi clase de compiladores, y sentí que me estaba quedando atrás en comparación con otros estudiantes que tenían éxito. La mayoría de nuestras clases usaban Pascal, con el que me estaba familiarizando, pero había algunas clases que usaban COBOL, Ada, SNOBOL, C y lenguaje ensamblador. Me gradué con notas modestas y regresé a casa.

A lo largo de mi carrera, he cruzado la brecha entre la administración de sistemas y la programación. Linux era similar a las máquinas SunOS que admiraba en la universidad, así que pasé a usar eso como mi sistema operativo principal alrededor de 1995. En mis primeros trabajos me encargaron el mantenimiento de varios tipos de computadoras: PC de escritorio, máquinas basadas en UNIX y de manera ocasional de las copias de seguridad de las máquinas VAX. No fue hasta que uno de mis puestos necesitaba un sitio web que agregué más programación a mi currículum. La programación de sitios web en la década de 1990 fue donde realmente comencé a aprender y comprender Perl, SQL, bases de datos relacionales y HTML. La web era tan nueva en la década de 1990 que todas las personas en nuestros proyectos estaban aprendiendo al mismo tiempo. Aproveché mi conocimiento de Perl en algunos otros trabajos y proyectos haciendo programación basada en web. Perl en la década de 1990 era un lenguaje donde los conceptos básicos eran simples de aprender pero el lenguaje podía manejar ideas y estructuras de datos realmente complejas. Perl y CGI facilitaron la incorporación en una página web de algo que tuviera un poco de interactividad. Donde Perl se vuelve complejo es la sintaxis de cosas como las expresiones regulares y la tendencia de los programadores de Perl a valorar el código que realiza múltiples acciones en la misma línea. La comunidad de Perl también valora el código inteligente, lo que me llevó a preguntarme en varias ocasiones si era lo suficientemente inteligente como para ser un programador de Perl.

Una de las empresas en las que trabajé decidió migrar un sistema Perl a un entorno basado en Java. Analizaron las habilidades del equipo de desarrollo existente y decidieron que necesitaban externalizar el proyecto a otra empresa. Esta era una tendencia común a principios de la década de 2000 por razones que están fuera del alcance de este libro. Esto me dio un primer contacto como líder de un equipo. Sé que muchos programadores migran a roles administrativos, pero en ese momento sentí que no había explorado completamente mi potencial de programación. Me senté en varias ocasiones e intenté aprender Java, pero nunca me llamó la atención. El desarrollo web Java siempre lo sentí más engorroso que los scripts CGI de Perl que creé. Tampoco ayudó que enviáramos archivos `.war` a un sistema Tomcat, que parecía estar compuesto por una gran cantidad de metadatos de configuración y muy poco código. Esto es a lo que me refería cuando hablé de estar bien con renunciar a aprender algo, a veces lo que tratamos de aprender es más una tarea rutinaria. Tener algo que es una tarea rutinaria no va a proporcionar una buena experiencia de aprendizaje.

Fue en ese momento cuando comencé a aprender Python por mi cuenta usando Pygame. Me lancé al participar en mi primera competición [Pyweek](http://pyweek.org). Pyweek es una competición de una semana en la que la gente crea un juego completo desde cero. Fue un desafío, pero también fue una de las experiencias más gratificantes que he tenido en la programación. Creé un juego llamado "Busy Busy Bugs" que se podía jugar en un momento en que realmente no sabía lo que estaba haciendo. En muchos sentidos, estaba aprendiendo a nadar arrojándome al proverbial fondo profundo. No estaba en peligro, pero el deseo de hacer algo al final de la semana me guió de maneras que no creía que fueran posibles.

A medida que la posición de líder técnico continuaba, me encontré con ganas de hacer otra cosa. Me entrevisté en varios lugares y fui contratado en Sourceforge como miembro del Grupo de Operaciones de Sistemas. Sourceforge fue una experiencia increíble para mí. Soñaba con trabajar para una empresa de código abierto, y pocas empresas de código abierto eran tan bien consideradas como Sourceforge y Slashdot en la comunidad de código abierto, pero mis inseguridades y el "síndrome del impostor" entraron en acción. ¿Sería capaz de cortarlo? ¿Me contratarían solo para darse cuenta de que habían cometido un error y que no era tan bueno como decía ser? Yo era amigo y había ido a la escuela con varias de las personas que trabajaban en Sourceforge/Slashdot, así que me preguntaba cuales eran sus motivaciones para contratarme. ¿Me contrataron como una broma elaborada o me contrataron porque varias personas en la empresa me conocían? Todos estos pensamientos pasaron por mi cabeza mientras trabajaba allí. No ayudó que mi posición fuera principalmente administración de sistemas a un nivel en el que no tenía experiencia. También había un componente de programación en el puesto, pero constantemente sentía que estaba muy por encima de mi cabeza. Vivía con el temor constante de que me descubrieran y de que el trabajo que quería ya no estuviera disponible para mí. De acuerdo, aprendí mucho y tuve unos jefes muy amables en Sourceforge, pero vivía con pavor cada vez que mi gerente me consultaba, porque temía que la conversación solo resaltara que se suponía que yo no debía estar allí.

Me encantaría decir que tuvo un final feliz y que mis temores eran infundados, pero lamentablemente me despidieron de ese puesto debido a restricciones presupuestarias. Estoy agradecido por las oportunidades que tuve allí, los amigos que hice y las experiencias que tuve, pero estaría mintiendo si no dijera que el despido vino con una mezcla de tristeza y alivio. Tristeza por no poder volver a tener un trabajo genial como ese y alivio por poder dejar de lado por el momento esos sentimientos del síndrome del impostor. En muchos sentidos, crecí a partir de la experiencia de trabajar en Sourceforge y aprendí mucho sobre mí y mis capacidades mientras trabajé  allí, pero también fue el puesto en el que sentí mi síndrome del impostor en su máxima expresión.

Más tarde me contrataron para un puesto a tiempo completo haciendo programación Python. Este empleo me permitió fortalecer mi oficio como desarrollador de Python. Allí creé muchos proyectos interesantes y seguí aprendiendo más sobre Python. Me ayudó a recuperarme y ampliar mis habilidades. La gente en este trabajo fue muy comprensiva y amable. Hubo momentos en los que se volvió estresante (todos los trabajos parecen tener estrés), pero en general fue una experiencia positiva.

Lamentablemente, también me despidieron de ese puesto (el dinero apesta, ¿sabes?).

Empecé mi búsqueda de trabajo en serio y fui a un montón de entrevistas. Si bien todas las personas en las entrevistas parecían impresionadas con mis habilidades y mi carrera, caí en una de dos categorías: no encajaba bien en el puesto o no tenía suficientes conocimientos en las áreas que buscaban. Me encontré haciendo pruebas cronometradas de escribir código que parecían estar probando si me estresaba fácilmente en lugar de las habilidades de de escribir código que pudiera tener. Me senté en sesiones en las que escribía código con figuras sombrías que gritaban comandos y requisitos mientras hacía todo lo posible por seguirlos. Hice acertijos de matemáticas y problemas de lógica (lo cual es horrible si no eres bueno ni en matemáticas ni en problemas de lógica). Los primeros indicios prometedores se convirtieron más tarde en cartas de rechazo (suponiendo que me respondieran), y la desesperación se apoderó de mí cuando me enfrenté a la perspectiva real de que tendría que dejar la programación si quería ganarme la vida. Las visiones de regresar a los comienzos de mi carrera me llenaron de pavor. Parecía que ya nadie quería arriesgarse conmigo y no podía competir con tantos programadores nuevos que no habían cometido los errores que yo había cometido en mi carrera.

Durante ese periodo registré el dominio web themediocreprogrammer.com. Si yo iba a ser un desastre entonces podría aceptarlo.

Afortunadamente, he tenido una comunidad de amigos y compañeros programadores que me han ayudado. En mi trabajo actual estoy contratado por uno de estos amigos al que ayudo con las tareas de programación. Ese puesto surgió al asistir a PyOhio (una conferencia de programación) que se celebra todos los años. En todas mis luchas, he tenido la suerte de tener allí a una comunidad que me ha ayudado. Es por eso que creo que las comunidades son tan geniales: nos brindan una red de personas que de otra manera no tendríamos, y nos ayudan a superar nuestros triunfos y nuestras luchas.

Soy una colección de todas estas experiencias. Todas ellas me hacen quien soy. A veces me pregunto si debería haber tomado un camino diferente o haber hecho algo diferente, pero ese es un ejercicio inútil. Lo mejor que puedo hacer con estas experiencias es aprender de ellas y seguir adelante. Cada día trabajo para mejorar y superarme. Cada día cometo nuevos errores, pero todo eso es parte del proceso de aprendizaje.

Mi viaje continua.
